Bug 36781

Summary: [chromium] Enable fast/events/onbeforeunload-focused-iframe.html
Product: WebKit Reporter: Charles Reis <creis>
Component: Tools / TestsAssignee: David Levin <levin>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, levin
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Proposed fix
levin: review-
Proposed fix, revision 2
levin: review+, commit-queue: commit-queue-
Proposed fix, revision 3 none

Description Charles Reis 2010-03-29 13:55:56 PDT
The onbeforeunload-focused-iframe.html layout test was disabled for Chromium until TestShell's LayoutTestController was updated to support it.  That's been fixed, so we can enable this test now.
Comment 1 Sterling Swigart 2010-03-30 15:41:18 PDT
Created attachment 52091 [details]
Proposed fix
Comment 2 David Levin 2010-03-30 15:58:45 PDT
Comment on attachment 52091 [details]
Proposed fix

> diff --git a/LayoutTests/ChangeLog b/LayoutTests/ChangeLog
> +        * platform/chromium/test_expectations.txt: Enable test now that callShouldCloseOnWebView
> +	is implemented in test_shell.

This is great except for the TAB here.

Please get rid of it and upload and I'll r+,cq+ it for you.
Comment 3 Sterling Swigart 2010-03-30 16:12:43 PDT
Created attachment 52095 [details]
Proposed fix, revision 2
Comment 4 WebKit Commit Bot 2010-03-31 02:16:31 PDT
Comment on attachment 52095 [details]
Proposed fix, revision 2

Rejecting patch 52095 from commit-queue.

Failed to run "['git', 'svn', 'dcommit']" exit_code: 1
Last 500 characters of output:
sts/platform/chromium/test_expectations.txt
A repository hook failed: MERGE request failed on '/repository/webkit/trunk': Commit blocked by pre-commit hook (exit code 1) with output:
svnlook: Can't write to stream: Broken pipe

    The following files contain tab characters:

        trunk/LayoutTests/ChangeLog

    Please use spaces instead to indent.
    If you must commit a file with tabs, use svn propset to set the "allow-tabs" property.
 at /usr/local/git/libexec/git-core/git-svn line 558


Full output: http://webkit-commit-queue.appspot.com/results/1618107
Comment 5 Sterling Swigart 2010-03-31 09:14:55 PDT
Created attachment 52179 [details]
Proposed fix, revision 3
Comment 6 WebKit Commit Bot 2010-03-31 09:53:25 PDT
Comment on attachment 52179 [details]
Proposed fix, revision 3

Clearing flags on attachment: 52179

Committed r56848: <http://trac.webkit.org/changeset/56848>
Comment 7 WebKit Commit Bot 2010-03-31 09:53:30 PDT
All reviewed patches have been landed.  Closing bug.